;/*++
;=============================================================================
;Copyright (c) 2007 Mellanox Technologies
;
;Module Name:
;
;    ev_log.mc
;
;Abstract:
;
;    MLX4 Driver event log messages
;
;Authors:
;
;    Leonid Keller
;
;Environment:
;
;   Kernel Mode .
;
;=============================================================================
;--*/
;
MessageIdTypedef = NTSTATUS

SeverityNames = (
	Success			= 0x0:STATUS_SEVERITY_SUCCESS
	Informational	= 0x1:STATUS_SEVERITY_INFORMATIONAL
	Warning			= 0x2:STATUS_SEVERITY_WARNING
	Error			= 0x3:STATUS_SEVERITY_ERROR
	)

FacilityNames = (
	System			= 0x0
	RpcRuntime		= 0x2:FACILITY_RPC_RUNTIME
	RpcStubs		= 0x3:FACILITY_RPC_STUBS
	Io				= 0x4:FACILITY_IO_ERROR_CODE
	MLX4			= 0x8:FACILITY_MLX4_ERROR_CODE
	)


MessageId=0x0001 Facility=MLX4 Severity=Informational SymbolicName=EVENT_MLX4_ANY_INFO
Language=English
%2
.

MessageId=0x0002 Facility=MLX4 Severity=Warning SymbolicName=EVENT_MLX4_ANY_WARN
Language=English
%2
.
MessageId=0x0003 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ANY_ERROR
Language=English
%2
.

MessageId=0x0004 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_LIFEFISH_OK
Language=English
%2 has started in non-operational mode. 
.

MessageId=0x0006 Facility=MLX4 Severity=Informational SymbolicName=EVENT_MLX4_INFO_DEV_STARTED
Language=English
%2 has got:%n
   vendor_id      %t%3%n
   device_id      %t%4%n
   subvendor_id   %t%5%n
   subsystem_id   %t%6%n
   HW revision    %t%7%n
   FW version     %t%8.%9.%10%n
   HCA guid       %t%11:%12%n
   port number    %t%13%n
   req types      %t%14,%15%n
   final types    %t%16,%17
.

MessageId=0x0007 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_MAP_FA
Language=English
%2: MAP_FA command failed with error %3.%n 
The adapter card is non-functional.%n
Most likely a FW problem.%n
Please burn the last FW and restart the mlx4_bus driver.
.

MessageId=0x0008 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_RUN_FW
Language=English
%2: RUN_FW command failed with error %3.%n
The adapter card is non-functional.%n
Most likely a FW problem.%n
Please burn the last FW and restart the mlx4_bus driver.
.

MessageId=0x0009 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_QUERY_FW
Language=English
%2: QUERY_FW command failed with error %3.%n
The adapter card is non-functional.%n
Most likely a FW problem.%n
Please burn the last FW and restart the mlx4_bus driver.
.

MessageId=0x000a Facility=MLX4 Severity=Warning SymbolicName=EVENT_MLX4_WARN_QUERY_FW
Language=English
Found PF (non-primary physical function) at '%2'.
.

MessageId=0x000b Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_QUERY_DEV_CAP
Language=English
%2: QUERY_DEV_CAP command failed with error %3.%n
The adapter card is non-functional.%n
Most likely a FW problem.%n
Please burn the last FW and restart the mlx4_bus driver.
.

MessageId=0x000c Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_QUERY_ADAPTER
Language=English
QUERY_ADAPTER command failed with error %2.%n
The adapter card is non-functional.%n
Most likely a FW problem.%n
Please burn the last FW and restart the mlx4_bus driver.
.

MessageId=0x000d Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_NOT_ENOUGH_QPS
Language=English
Too few QPs were requested (requested %2, reserved for FW %3).%n
The adapter card is non-functional.%n
Please increase the Registry LogNumQp parameter under HKLM\System\CurrentControlSet\Services\mlx4_bus\Parameters.
.

MessageId=0x000e Facility=MLX4 Severity=Informational SymbolicName=EVENT_MLX4_INFO_RESET_START
Language=English
%2: Performing HCA restart ...
.

MessageId=0x000f Facility=MLX4 Severity=Informational SymbolicName=EVENT_MLX4_INFO_RESET_END
Language=English
%2: HCA restart finished. Notifying the clients ...
.

MessageId=0x0010 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_QUERY_FW_SRIOV
Language=English
Are you using SRIOV-enabled firmware?
.

MessageId=0x0011 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_LOCATION_MOVE
Language=English
Failed to move location string '%2', status %3.
.

MessageId=0x0012 Facility=MLX4 Severity=Error SymbolicName=EVENT_MLX4_ERROR_GET_LOCATION
Language=English
WdfDeviceAllocAndQueryProperty failed,  status %2.
.

MessageId=0x0013 Facility=MLX4 Severity=Warning SymbolicName=EVENT_MLX4_WARN_REG_ACTION
Language=English
%2 failed on %3 with status %4.
.

MessageId=0x0014 Facility=MLX4 Severity=Warning SymbolicName=EVENT_MLX4_WARN_REG_OPEN_DEV_KEY
Language=English
WdfDeviceOpenRegistryKey failed on opening SW (=driver) key for mlx4_bus with status %2.
.

MessageId=0x0015 Facility=MLX4 Severity=Warning SymbolicName=EVENT_MLX4_WARN_INVALID_PORT_TYPE_VALUE
Language=English
PortType registry parameter contains invalid value, PortType = %2.
.


